Bug 579588 - Add warning to rhn-satellite-activate output when user is activating a cert for a higher Satellite version: to point to the Satellite upgrade documentation
Summary: Add warning to rhn-satellite-activate output when user is activating a cert f...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server
Version: 530
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Justin Sherrill
QA Contact: Michael Mráka
URL:
Whiteboard:
Depends On:
Blocks: sat540-blockers 579585 579591 sat540-upgrades
TreeView+ depends on / blocked
 
Reported: 2010-04-05 23:25 UTC by Xixi
Modified: 2010-10-28 14:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 579591 (view as bug list)
Environment:
Last Closed: 2010-10-28 14:49:39 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Xixi 2010-04-05 23:25:12 UTC
Description of problem:
Filing this bug as discussed with Cliff & Justin to help reduce the number of cases where Satellite upgrades go wrong due to customer not being aware of Satellite upgrade procedure.

We should add a warning to rhn-satellite-activate such that, upon detecting a higher version of Satellite than the previous certificate, it outputs a warning/reminder something to the effect of "this Satellite certificate is of a version higher than currently used. If you are performing a Satellite upgrade, please use the --ignore-version-mismatch flag, and consult the Satellite upgrade documentation at <link to docs> before performing the upgrade".

where <link to docs> is the link to the official documentation as part of bug 579585 

Version-Release number of selected component (if applicable):
Red Hat Network (RHN) Satellite 5.3.0

How reproducible:
Always.

Steps to Reproduce:
1. see above.

Actual results:
see above

Expected results:
see above

Additional info:

Comment 2 Justin Sherrill 2010-08-25 20:53:11 UTC
New error message:

ERROR: RHN Entitlement Certificate cannot be imported - the versions of current and new certificate do not match, [5.3] vs. [5.1]
If you are trying to upgrade the Satellite server, please see the upgrade documentation located here /etc/sysconfig/rhn/satellite-upgrade/README  (as part of the rhn-upgrade package).  WARNING: If you want to skip this check, please use --ignore-version-mismatch, but doing so may cause issues (including malfunction of the Satellite software).  Only skip the test if instructed to do so by a support technician



15cb399c8bb549cda58c36be13a5dcb6b46a43ea

Comment 3 Michael Mráka 2010-10-08 08:18:49 UTC
# rhn-satellite-activate --rhn-cert redhat-internal-5.4.cert 
RHN_PARENT: satellite.rhn.redhat.com

ERROR: RHN Entitlement Certificate cannot be imported - the versions of current and new certificate do not match, [5.2] vs. [5.4]
If you are trying to upgrade the Satellite server, please see the upgrade documentation located here /etc/sysconfig/rhn/satellite-upgrade/README  (as part of the rhn-upgrade package).  WARNING: If you want to skip this check, please use --ignore-version-mismatch, but doing so may cause issues (including malfunction of the Satellite software).  Only skip the test if instructed to do so by a support technician.


Verified.
# rpm -qf /usr/bin/rhn-satellite-activate 
spacewalk-backend-tools-1.2.13-9.el5sat

Comment 6 Clifford Perry 2010-10-28 14:44:52 UTC
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford


Note You need to log in before you can comment on or make changes to this bug.